#ifndef ALIASES_H
#define ALIASES_H

#include <stdint.h>

#define u8 uint8_t
#define u16 uint16_t
#define u32 uint32_t
#define u64 uint64_t

#define i8 int8_t
#define i16 int16_t
#define i32 int32_t
#define i64 int64_t

#define f32 float
#define f64 double
#define f128 long double

#define uptr uintptr_t
#define iptr intptr_t

#define internal static
#define persistent static

#ifdef __cplusplus
#define class_mem static
#endif // __cplusplus

#endif // !ALIASES_H
